; ================================================================================================
; Konverter von tpm2-Protokoll auf WS2801/WS2811/TM1804
; Interrupt-Vektor-Tabelle
; ================================================================================================

; ================================================================================================
; Interrupt-Vektor-Tabelle Mega16
; ------------------------------------------------------------------------------------------------

.org 0x0000		jmp	_reset    	         			; RESET
.org 0x0002		reti								; INT0 External Interrupt Request 0
.org 0x0004		reti								; INT1 External Interrupt Request 1
.org 0x0006		reti								; TIMER2 COMP Timer/Counter2 Compare Match
.org 0x0008		jmp		_Timer0OVF					; TIMER2 OVF Timer/Counter2 Overflow
.org 0x000A		reti								; TIMER1 CAPT Timer/Counter1 Capture Event
.org 0x000C		reti								; TIMER1 COMPA Timer/Counter1 Compare Match A
.org 0x000E		reti								; TIMER1 COMPB Timer/Counter1 Compare Match B
.org 0x0010		reti								; TIMER1 OVF Timer/Counter1 Overflow
.org 0x0012		reti								; TIMER0 OVF Timer/Counter0 Overflow
.org 0x0014		reti								; SPI, STC Serial Transfer Complete
.org 0x0016		jmp		_ISR_Byte_Received_USB		; USART, RXC USART, Rx Complete
.org 0x0018		reti								; USART, UDRE USART Data Register Empty
.org 0x001A		reti								; USART, TXC USART, Tx Complete
.org 0x001C		reti								; ADC ADC Conversion Complete
.org 0x001E		reti								; EE_RDY EEPROM Ready
.org 0x0020		reti								; ANA_COMP Analog Comparator
.org 0x0022		reti								; TWI Two-wire Serial Interface
.org 0x0024		reti								; INT2 External Interrupt Request 2
.org 0x0026		reti								; TIMER0 COMP Timer/Counter0 Compare Match
.org 0x0028		reti								; SPM_RDY Store Program Memory Ready

; ================================================================================================
